:root {
  --ff-montserrat: "Montserrat Alternates", "Arial", sans-serif;
  --ff-lighthaus: "Lighthaus", "Times New Roman", serif;
  --default-white-color: #ffffff;
  --default-black-color: #000000;
  --main-text-color: #2f2f2f;
  --accent-color: #691345;
  --second-background-color: #f2e1f0;
}

@font-face {
  font-family: "Lighthaus";
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: local("Lighthaus"), url("../fonts/Lighthaus.woff") format("woff"), url("../fonts/Lighthaus.woff2") format("woff2");
}

@font-face {
  font-family: "Montserrat Alternates";
  font-weight: 400;
  font-style: normal;
  font-display: swap;
  src: local("MontserratAlternates Regular"), local("MontserratAlternates-Regular"), url("../fonts/MontserratAlternates-Regular.woff") format("woff"), url("../fonts/MontserratAlternates-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "Montserrat Alternates";
  font-weight: 500;
  font-style: normal;
  font-display: swap;
  src: local("MontserratAlternates Medium"), local("MontserratAlternates-Medium"), url("../fonts/MontserratAlternates-Medium.woff") format("woff"), url("../fonts/MontserratAlternates-Medium.woff2") format("woff2");
}

*,
*::after,
*::before {
  box-sizing: inherit;
}

html {
  height: 100%;
  box-sizing: border-box;
}

body {
  margin: 0;
  display: grid;
  min-height: 100%;
  grid-template-rows: min-content 1fr min-content;
  font-family: var(--ff-montserrat);
  color: var(--main-text-color);
  font-weight: 400;
  font-size: 1.5rem;
  line-height: 1.4;
  align-content: start;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.no-scroll {
  overflow: hidden;
}

.container {
  margin: 0 auto;
  max-width: 89.4rem;
  padding: 0 10rem;
}

.grid-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, 320px);
  justify-content: center;
  gap: clamp(3rem, 0.887rem + 9.014vw, 9rem) 2rem;
}

.header {
  position: relative;
  background-color: var(--second-background-color);
}

.header--second-page {
  margin: 0 0 5rem;
}

.header--second-page .header__container {
  padding: 3.75rem 0 0;
}

.header--second-page .header__decor-bottom {
  transform: translateY(70%);
}

.header__decor-bottom {
  z-index: -1;
  position: absolute;
  width: 100%;
  bottom: 0;
  transform: translateY(95%);
}

.header__container {
  padding: clamp(1.5rem, 0.708rem + 3.38vw, 3.75rem) 0;
  display: flex;
  align-items: center;
}

.header__logo {
  margin: 0 auto 0 0;
}

.header__logo img {
  width: clamp(5rem, 3.239rem + 7.512vw, 10rem);
}

.main-nav__list {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
  align-items: center;
  gap: 2rem;
}

.main-nav__item.active .main-nav__link::before {
  opacity: 1;
}

.main-nav__link {
  position: relative;
  font-size: clamp(1.5rem, 0.269rem + 1.923vw, 2rem);
  color: var(--main-text-color);
  text-decoration: none;
}

.main-nav__link::before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -0.5rem;
  height: 2px;
  border-radius: 2px;
  opacity: 0;
  background-color: var(--accent-color);
  transition: 0.3s opacity linear;
}

.main-nav__link:hover::before {
  opacity: 0.3;
}

.main-nav.active .main-nav__toggle span:nth-child(1) {
  top: 50%;
  transform: rotate(45deg) translateY(-50%);
}

.main-nav.active .main-nav__toggle span:nth-child(2) {
  transform: scale(0);
}

.main-nav.active .main-nav__toggle span:nth-child(3) {
  bottom: 50%;
  transform: rotate(-45deg) translateY(50%);
}

.main-nav.active .main-nav__toggle span {
  background-color: var(--default-white-color);
}

.main-nav__toggle {
  z-index: 20;
  display: none;
  margin-left: 2rem;
  position: relative;
  width: 2.18rem;
  height: 1.4rem;
  background: none;
  border: 0;
}

.main-nav__toggle span {
  position: absolute;
  display: block;
  left: 0;
  width: 100%;
  height: 2px;
  border-radius: 5px;
  background: var(--main-text-color);
  transition: 0.3s transform linear,
    0.3s top linear,
    0.3s bottom linear,
    0.3s background-color linear;
}

.main-nav__toggle span:nth-child(1) {
  top: 0;
}

.main-nav__toggle span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}

.main-nav__toggle span:nth-child(3) {
  bottom: 0;
}

.header__button-search {
  cursor: pointer;
  margin: 0 0 0 3.5rem;
  padding: 0;
  background: none;
  border: 0;
}

.header__button-search svg {
  fill: var(--main-text-color);
  transition: 0.3s fill linear;
}

.header__button-search:hover svg {
  fill: var(--accent-color);
}

.promo {
  padding: 1rem 0 7rem;
  background: url("../img/background-promo.png") no-repeat;
  background-position: right -5.75rem center;
  position: relative;
}

.promo__heading {
  margin: 0;
  font-family: var(--ff-lighthaus);
  font-weight: 400;
  line-height: 1.3;
  font-size: clamp(2.5rem, 1.62rem + 3.756vw, 5rem);
  letter-spacing: 0.1em;
}

.promo__description {
  margin: -0.8em 0 2.25rem;
  font-size: clamp(1.2rem, 1.006rem + 0.826vw, 1.75rem);
}

.promo__text {
  width: 49%;
  margin: 0 0 3.75rem;
  font-size: clamp(1rem, 0.736rem + 1.127vw, 1.75rem);
}

.promo__button {
  display: inline-block;
  padding: clamp(1.2rem, 1.006rem + 0.826vw, 1.75rem) clamp(1.8rem, 1.377rem + 1.803vw, 3rem);
  font-family: var(--ff-lighthaus);
  font-size: clamp(1.5rem, 1.254rem + 1.052vw, 2.2rem);
  text-decoration: none;
  color: var(--default-white-color);
  background-color: var(--accent-color);
  border-radius: 3.1rem;
  outline: 5px solid var(--accent-color);
  outline-offset: -5px;
  transition: 0.3s color linear,
      0.3s background-color linear;
}

.promo__button:hover {
  color: var(--accent-color);
  background-color: var(--default-white-color);
}

.heading-section {
  margin: 0 0 clamp(2rem, 1.542rem + 1.953vw, 3.3rem);
  font-size: clamp(2rem, 1.613rem + 1.653vw, 3.1rem);
  line-height: 1.2;
  font-weight: 400;
  text-align: center;
}

.advantages {
  margin: 5rem 0 7.5rem;
}

.advantages__list {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.card {
  display: flex;
  flex-direction: column;
  gap: clamp(0.5rem, 0.236rem + 1.127vw, 1.25rem);
  align-items: center;
  text-align: center;
}

.card__img {
  margin: 0 0 0.75rem;
  width: 100%;
  border-radius: 50%;
  object-fit: cover;
  aspect-ratio: 1 / 1;
}

.card__name {
  margin: 0 0.5rem;
  font-size: clamp(1.3rem, 0.943rem + 0.952vw, 1.8rem);
  font-weight: 400;
  letter-spacing: 0.1em;
  color: var(--accent-color);
}

.card__description {
  flex: 1 0 auto;
  margin: 0;
  font-size: clamp(1rem, 0.912rem + 0.376vw, 1.25rem);
}

.card__price {
  margin: 0;
  padding: 0.1rem 0.6rem 0;
  border-top: 1px solid #000000;
  font-size: 1.25rem;
  letter-spacing: 0.1em;
  color: #000000;
}

.card__button {
  min-width: 15.7rem;
  padding: 1.13rem 2rem;
  font-family: var(--ff-lighthaus);
  border: 5px solid var(--accent-color);
  border-radius: 3.1rem;
  color: var(--accent-color);
  font-size: 1.5rem;
  text-decoration: none;
  transition: 0.3s color linear,
      0.3s background-color linear;
}

.card__button:hover {
  background-color: var(--accent-color);
  color: var(--default-white-color);
}

.news {
  margin: 0 0 6rem;
  position: relative;
  background-color: var(--second-background-color);
}

.news__decor {
  position: absolute;
  width: 100%;
}

.news__decor--top {
  top: 0;
  transform: translateY(-99%);
}

.news__decor--bottom {
  bottom: 0;
  transform: translateY(99%);
}

.news__container {
  padding: 0 1rem;
  max-width: 90rem;
  margin: 0 auto;
}

.news__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: clamp(1rem, 0.286rem + 1.905vw, 2rem);
}

.news__item {
  display: flex;
  align-items: end;
  min-height: 22rem;
  overflow: hidden;
  padding: clamp(1.3rem, 0.772rem + 2.254vw, 2.8rem) clamp(1rem, 0.648rem + 1.502vw, 2rem);
  text-decoration: none;
  border-radius: 3.5rem;
  position: relative;
  z-index: 1;
  text-decoration: none;
}

.news__item-text {
  margin: 0;
  font-size: clamp(1.3rem, 0.877rem + 1.803vw, 2.5rem);
  color: var(--default-white-color);
}

.news__item-img {
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.services {
  margin: 0 0 9.5rem;
}

.services__link-wrap {
  text-align: center;
}

.services__link-all {
  margin: clamp(3rem, 2.384rem + 2.629vw, 4.75rem) 0 0;
  display: inline-block;
  padding: clamp(1.3rem, 1.054rem + 1.052vw, 2rem) clamp(2rem, 1.437rem + 2.404vw, 3.6rem);
  background-color: var(--accent-color);
  outline: 5px solid var(--accent-color);
  outline-offset: -5px;
  border-radius: 3.1rem;
  font-family: var(--ff-lighthaus);
  font-size: clamp(1.5rem, 1.254rem + 1.052vw, 2.2rem);
  letter-spacing: 0.1em;
  color: var(--default-white-color);
  text-decoration: none;
  transition: 0.3s color linear,
      0.3s background-color linear;
}

.services__link-all:hover {
  color: var(--accent-color);
  background-color: var(--default-white-color);
  outline-color: var(--accent-color);
}

.about {
  position: relative;
  margin: 0 0 8.75rem;
  background-color: var(--second-background-color);
}

.about__item {
  margin: clamp(2rem, 2.056rem + -4.507vw, -2rem) 0 0;
  display: grid;
  gap: 2rem;
  align-items: center;
  grid-template-columns: 1fr 1fr;
}

.about__item-text {
  margin: 0;
  max-width: 33.75rem;
  font-size: clamp(1.2rem, 1.094rem + 0.451vw, 1.5rem);
}

.about__item-img {
  transform: translateX(clamp(1rem, -2.886rem + 8.095vw, 4.4rem));
}

.about__item:nth-child(2n) .about__item-img {
  order: -1;
  transform: translateX(clamp(-1rem, 2.886rem + -8.095vw, -4.4rem));
}

.about__item:nth-child(2n) .about__item-text {
  text-align: right;
}

.about__decor {
  position: absolute;
  width: 100%;
  z-index: -1;
}

.about__decor--top {
  top: 0;
  transform: translateY(-99%);
}

.about__decor--bottom {
  bottom: 0;
  transform: translateY(99%);
}

.masters {
  margin: 0 0 11.5rem;
}

.footer {
  position: relative;
  padding: 0 0 5.6rem;
}

.footer--second-page {
  position: relative;
  background-color: var(--second-background-color);
}

.footer__decor {
  width: 100%;
  position: absolute;
  top: 0;
  transform: translateY(-99%);
}

.footer__contacts {
  font-style: normal;
  display: grid;
  gap: 1.5rem;
  grid-template-columns: 1fr 1fr;
}

.footer__link {
  grid-column: 1 / 2;
  font-size: clamp(1.2rem, 1.059rem + 0.601vw, 1.6rem);
  text-decoration: none;
  letter-spacing: 0.1em;
  color: var(--default-black-color);
  transition: 0.3s opacity linear;
}

.footer__link:hover {
  opacity: 0.5;
}

.footer__link--inst,
.footer__link--vk {
  position: relative;
  padding: 0 0 0 5.9rem;
  grid-column: 2 / 3;
  display: flex;
  align-items: center;
  gap: 2.8rem;
}

.footer__link--inst {
  grid-row: 1;
}

.footer__link-icon {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
}

.appointment-form {
  margin: 0 0 9.5rem;
  position: relative;
  background-color: var(--second-background-color);
}

.appointment-form--bg-white {
  background-color: var(--default-white-color);
}

.appointment-form__decor {
  position: absolute;
  width: 100%;
  z-index: -1;
}

.appointment-form__decor--top {
  top: 0;
  transform: translateY(-99%);
}

.appointment-form__decor--bottom {
  bottom: 0;
  transform: translateY(99%);
}

.appointment-form__wrapper {
  display: grid;
  gap: 1.5rem 2rem;
  grid-template-columns: 1fr max-content;
}

.appointment-form__input {
  grid-column: 1 / 2;
  height: clamp(3rem, 2.472rem + 2.254vw, 4.5rem);
  font-family: var(--ff-montserrat);
  font-weight: 400;
  border-radius: 0.75rem;
  outline: 3px solid var(--accent-color);
  outline-offset: -3px;
  background: none;
  padding: 0 0 0 1.5rem;
  font-size: clamp(1.2rem, 0.918rem + 1.202vw, 2rem);
  line-height: 1.2;
}

.appointment-form__select {
  width: 100%;
  appearance: none;
  grid-column: 1 / 2;
  height: clamp(3rem, 2.472rem + 2.254vw, 4.5rem);
  font-family: var(--ff-montserrat);
  color: var(--main-text-color);
  font-weight: 400;
  border-radius: 0.75rem;
  outline: 3px solid var(--accent-color);
  outline-offset: -3px;
  padding: 0 0 0 1.5rem;
  font-size: clamp(1.2rem, 0.918rem + 1.202vw, 2rem);
  line-height: 1.2;
  background: url("../img/arrow-faq.svg") no-repeat;
  background-position: right 1rem center;
}

.calendar {
  width: 21.8rem;
  padding: 1.5rem 0;
  grid-row: 1 / 5;
  grid-column: 2 / 3;
  background-color: var(--default-white-color);
  border-radius: 0.6rem;
}

.calendar__wrapper {
  display: grid;
  justify-content: center;
  gap: 0.6rem 1rem;
  grid-template-columns: repeat(7, 1.5rem);
  grid-template-rows: repeat(6, 1.5rem);
  align-items: start;
}

.calendar__day-week {
  font-family: var(--ff-lighthaus);
  font-size: 1.5rem;
  text-align: center;
  color: var(--accent-color);
}

.calendar__input,
.calendar__time-input {
  appearance: none;
  position: absolute;
}

.calendar__input:checked + time {
  font-weight: 500;
  color: var(--accent-color);
}

.calendar__label {
  text-align: center;
}

.calendar__label time {
  display: block;
  cursor: pointer;
  position: relative;
  font-size: 1.25rem;
  line-height: 1.2;
  font-weight: 400;
  color: var(--main-text-color);
  text-align: center;

}

.calendar__input:checked+time {
  font-weight: 500;
  color: var(--accent-color);
}

.calendar__label time::before {
  content: "";
  position: absolute;
  width: 80%;
  height: 1px;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
}

.calendar__input:checked+time::before {
  background-color: var(--accent-color);
}

.calendar__time-select {
  margin: 1.5rem 3.1rem 0;
  display: flex;
  align-items: center;
  gap: 0.6rem;
}

.calendar__time-input:checked+time {
  background-color: var(--accent-color);
  color: var(--default-white-color);
}

.calendar__time-input:disabled+time {
  color: var(--default-white-color);
  outline-color: #5c5c5c;
  background-color: #5c5c5c;
}


.calendar__time-label time {
  cursor: pointer;
  padding: 2px 1rem;
  font-size: 1rem;
  font-weight: 500;
  color: var(--accent-color);
  padding: 1;
  border-radius: 100px;
  outline: 1px solid var(--accent-color);
  transition: 0.3s background-color linear,
      0.3s color linear;
}

.appointment-form__button-submit {
  grid-column: 1 / 2;
  margin: 1rem 0 0;
  cursor: pointer;
  justify-self: start;
  padding: clamp(1.2rem, 1.006rem + 0.826vw, 1.75rem) clamp(2rem, 1.296rem + 3.005vw, 4rem);
  font-size: clamp(1.3rem, 1.054rem + 1.052vw, 2rem);
  font-family: var(--ff-lighthaus);
  border-radius: 100px;
  font-weight: 400;
  letter-spacing: 0.1em;
  outline: 5px solid var(--accent-color);
  color: var(--accent-color);
  background: none;
  border: 0;
  transition: 0.3s color linear,
      0.3s background-color linear;
}

.appointment-form__button-submit:hover {
  background-color: var(--accent-color);
  color: var(--default-white-color);
}

.appointment-form__button-submit:disabled {
  cursor: default;
  outline-color: #7d767c;
  color: #7d767c;
  background: none;
}

.appointment-form__personal-label {
  display: flex;
  align-items: center;
  gap: 0 1rem;
  font-size: clamp(1rem, 0.824rem + 0.751vw, 1.5rem);
}

.appointment-form__personal-input {
  position: absolute;
  appearance: none;
}

.appointment-form__personal-box {
  flex: 0 0 auto;
  width: 1.5rem;
  height: 1.5rem;
  outline: 3px solid var(--accent-color);
  outline-offset: -1px;
  border-radius: 0.2rem;
}

.appointment-form__personal-input:checked+.appointment-form__personal-box {
  background-color: var(--accent-color);
}

.products {
  margin: 8.5rem 0 11rem;
  position: relative;
  background-color: var(--second-background-color);
}

.products__decor {
  z-index: -1;
  position: absolute;
  width: 100%;
}

.products__decor--top {
  top: 0;
  transform: translateY(-99%);
}

.products__decor--bottom {
  bottom: 0;
  transform: translateY(80%);
}

.faq {
  margin: 0 0 8rem;
}

.faq__list {
  display: grid;
  gap: 1.5rem;
}

.faq__item {
  border: 3px solid var(--accent-color);
  border-radius: 0.75rem;
  padding: 1.1rem 1.5rem;
}

.faq__item.open .faq__button::after {
  transform: rotate(180deg);
}

.faq__item.open .faq__answer {
  padding: 1rem 0 0;
  transition: max-height 2s;
  max-height: 3000px;
}

.faq__button {
  cursor: pointer;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1.5rem;
  padding: 0;
  background: none;
  border: 0;
  font-family: var(--ff-montserrat);
  font-size: clamp(1rem, 0.643rem + 0.952vw, 1.5rem);
  text-align: left;
  letter-spacing: 0.1em;
  transition: 0.3s transform linear;
  color: var(--main-text-color);
}

.faq__button::after {
  content: "";
  width: 1.88rem;
  height: 1.1rem;
  background: url("../img/arrow-faq.svg") no-repeat;
  background-size: 100% auto;
}

.faq__answer {
  margin: 0;
  max-height: 0;
  overflow: hidden;
  letter-spacing: 0.1em;
  font-size: clamp(1rem, 0.643rem + 0.952vw, 1.5rem);
  transition: max-height 0.5s cubic-bezier(0, 1, 0, 1),
      padding 0.2s;
} 

@media screen and (max-width: 1440px) {
  .container {
    max-width: 100%;
    padding: 0 5rem;
  }
}

@media screen and (max-width: 1024px) {
  .container {
    padding: 0 2rem;
  }

  .main-nav {
    order: 1;
  }

  .main-nav__list {
    display: none;
  }

  .main-nav__toggle {
    display: block;
  }

  .main-nav.active .main-nav__list {
    z-index: 10;
    display: flex;
    width: 100vw;
    height: 100vh;
    flex-direction: column;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.9);
  }

  .main-nav.active .main-nav__link {
    color: var(--default-white-color);
  }

  .promo {
    background-image: none;
  }

  .promo__text {
    width: 70%;
  }

  .card__name {
    margin: 0;
  }

  .appointment-form__wrapper {
    gap: 1rem 1rem;
  }

  .calendar {
    width: 20rem;
  }

  .news__list {
    grid-template-columns: repeat(2, 1fr);
  }

  .news__item {
    min-height: 18rem;
  }
}

@media screen and (max-width: 768px) {
  .promo__container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .promo__heading {
    text-align: center;
  }

  .promo__description {
    text-align: center;
  }

  .promo__text {
    margin: 0 auto 2rem;
    text-align: center;
  }

  .card__button {
    min-width: 13.7rem;
    padding: 1rem 1rem;
    font-size: 1.3rem;
    border-width: 3px;
  }

  .services__link-all {
    outline-width: 3px;
  }

  .about__item {
    grid-template-columns: 1fr;
    justify-content: center;
  }

  .about__item-img {
    width: 70%;
    margin: 0 auto;
  }
  
  .about__item:nth-child(2n) .about__item-img {
    order: 0;
  }

  .about__item:nth-child(2n) .about__item-text {
    text-align: center;
  }

  .about__item-text {
    text-align: center;
    margin: 0 auto;
  }

  .appointment-form__button-submit {
    outline-width: 3px;
  }

  .appointment-form__wrapper {
    grid-template-columns: 1fr;
  }

  .calendar {
    grid-column: auto;
    grid-row: auto;
  }

  .footer__contacts {
    grid-template-columns: 1fr;
  }

  .footer__link--inst, .footer__link--vk {
    grid-column: auto;
    grid-row: auto;
    padding-left: 3.8rem;
  }

  .footer__link--inst {
    order: 2;
  }
}

@media screen and (max-width: 600px) {
  .container {
    padding: 0 1.25rem;
  }

  .promo__text {
    width: auto;
  }

  .about__item-img {
    width: 90%;
  }
  
  .news__list {
    grid-template-columns: 1fr;
  }

  .news__item {
    min-height: 12rem;
  }
}